petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPChebyshevEstEigSet

Automatically estimate the eigenvalues to use for Chebyshev

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPChebyshevEstEigSet(KSP ksp,PetscReal a,PetscReal b,PetscReal c,PetscReal d)

Logically Collective on KSP Many br

### Input Parameters

| ksp | - the Krylov space context Many br
| a | - multiple of min eigenvalue estimate to use for min Chebyshev bound (or PETSC_DECIDE) Many br
| b | - multiple of max eigenvalue estimate to use for min Chebyshev bound (or PETSC_DECIDE) Many br
| c | - multiple of min eigenvalue estimate to use for max Chebyshev bound (or PETSC_DECIDE) Many br
| d | - multiple of max eigenvalue estimate to use for max Chebyshev bound (or PETSC_DECIDE) Many br

### Options Database

-ksp_chebyshev_esteig a,b,c,d - Many brNotes: Many brThe Chebyshev bounds are set using Many br

       minbound = a*minest + b*maxest
       maxbound = c*minest + d*maxest

Many brThe default configuration targets the upper part of the spectrum for use as a multigrid smoother, so only the maximum eigenvalue estimate is used. Many brThe minimum eigenvalue estimate obtained by Krylov iteration is typically not accurate until the method has converged. Many br

If 0.0 is passed for all transform arguments (a,b,c,d), eigenvalue estimation is disabled. Many br

The default transform is (0,0.1; 0,1.1) which targets the "upper" part of the spectrum, as desirable for use with multigrid. Many br

The eigenvalues are estimated using the Lanczo (KSPCG) or Arnoldi (KSPGMRES) process using a random right hand side vector. Many br

Many br

### Keywords

KSP, Chebyshev, set, eigenvalues, PCMG

Level:intermediate
Location:src/ksp/ksp/impls/cheby/cheby.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages